﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032B: (1 year) VER IEEE /9500+2Hd
DATE:                  2017-03-07 09:14:29
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       176
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.3.38"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  TARGET
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.020  JMPL         END                              @Abort
  1.021  CALL         Sub UUT Connection GPIB

  1.022  IEEE2        *RST

  1.023  HEAD         UUT IDENTIFICATION
  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.025  MATH         @UUT_Manufacturer = "Tektronix"
  1.026  MATH         @UUT_Model        = "TDS 3032B"
  1.027  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000 Check Firmware Version
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Datron 9500 Configuration Query IEEE

  1.032  MATH         L[1] = (@HeadTypeCh1 == "9560")
  1.033  MATH         L[1] = L[1] + (@HeadTypeCh2 == "9560")

  1.034  IF           L[1] > 0

  1.035  HEAD         EQUIPMENT REQUIREMENTS
  1.036  OPBR         -z Do you want to REVIEW the list of additional
  1.036  OPBR         equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         - Adapter SMA(f)-BNC(m) ([L1] ea.)
  1.039  ENDIF

  1.040  ENDIF

  1.041  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.042  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.043  JMPL         END                           @Abort

  1.044  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.045  JMPL         END                           @Abort


  1.046  IF           @HeadTypeCh1 == "9560"
  1.047  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.048  ELSE
  1.049  MATH         Ch1Adapter = ""
  1.050  ENDIF

  1.051  IF           @HeadTypeCh2 == "9560"
  1.052  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.053  ELSE
  1.054  MATH         Ch2Adapter = ""
  1.055  ENDIF

  1.056  DISP         Connect the 9500 to the UUT as follows:
  1.056  DISP
  1.056  DISP         CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.056  DISP         CH 2 Active Head to UUT CH 2[V Ch2Adapter].

  1.057  MATH         @Chan = 1
  1.058  M9500                       CH1
  1.059  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500

  1.060  MATH         @Chan = 2
  1.061  M9500                       CH2
  1.062  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500

  1.063  MATH         @Chan = 1
  1.064  M9500                       CH1
  1.065  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600

  1.066  MATH         @Chan = 2
  1.067  M9500                       CH2
  1.068  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600

  1.069  MATH         @Chan = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600

  1.072  MATH         @Chan = 2
  1.073  M9500                       CH2
  1.074  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600

  1.075  MATH         @Chan = 1
  1.076  M9500                       CH1
  1.077  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600

  1.078  MATH         @Chan = 2
  1.079  M9500                       CH2
  1.080  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600

  1.081  MATH         @Chan = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /9500

  1.084  LABEL        END
  1.085  HEAD         -2

  1.086  IF           @Abort
  1.087  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.088  ELSE
  1.089  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.090  ENDIF

  1.091  END
